<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gatt__prep__write__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gatt_prep_write_param_t</compoundname>
    <includes local="no">cy_ble_stack_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gatt__prep__write__param__t_1adc21fce7d443dc367f63cd7aea72e864" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__handle__value__offset__param__t">cy_stc_ble_gatt_handle_value_offset_param_t</ref></type>
        <definition>cy_stc_ble_gatt_handle_value_offset_param_t cy_stc_ble_gatt_prep_write_param_t::handleValOffsetPair</definition>
        <argsstring />
        <name>handleValOffsetPair</name>
        <briefdescription>
<para>handle value offset pair </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="505" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="505" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatt__prep__write__param__t_1a4138bfa3e2db7185b864a1af5a30b6ef" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_gatt_prep_write_param_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="508" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="508" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Prepare Write parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="625">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="621">
        <label>cy_stc_ble_gatt_prep_write_param_t</label>
        <link refid="structcy__stc__ble__gatt__prep__write__param__t" />
        <childnode refid="622" relation="usage">
          <edgelabel>handleValOffsetPair</edgelabel>
        </childnode>
        <childnode refid="625" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="622">
        <label>cy_stc_ble_gatt_handle_value_offset_param_t</label>
        <link refid="structcy__stc__ble__gatt__handle__value__offset__param__t" />
        <childnode refid="623" relation="usage">
          <edgelabel>handleValuePair</edgelabel>
        </childnode>
      </node>
      <node id="624">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="623">
        <label>cy_stc_ble_gatt_handle_value_pair_t</label>
        <link refid="structcy__stc__ble__gatt__handle__value__pair__t" />
        <childnode refid="624" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="510" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" bodystart="502" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt.h" line="503" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gatt__prep__write__param__t_1a4138bfa3e2db7185b864a1af5a30b6ef" virt="non-virtual"><scope>cy_stc_ble_gatt_prep_write_param_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gatt__prep__write__param__t_1adc21fce7d443dc367f63cd7aea72e864" virt="non-virtual"><scope>cy_stc_ble_gatt_prep_write_param_t</scope><name>handleValOffsetPair</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>